package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

@Entity
@Table(name="kmt_exampaper_area")
public class KmtExampaperArea extends BaseEntity {

	private static final long serialVersionUID = 1L;
	private String year; //年份
	private String city; //城市
	private String area;//区
	private String school;//学校可空
	private Integer semester;//上下学期 1上学期2下学期
	private Integer type;//1单元2期末
	private String subject;//科目
	private String grade;//年级
	private Date createTime;//创建时间
	private String addStr; //附加值
	
	private Integer is=0;//是否已选
	@Transient
	public Integer getIs() {
		return is;
	}
	public void setIs(Integer is) {
		this.is = is;
	}
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getSchool() {
		return school;
	}
	public void setSchool(String school) {
		this.school = school;
	}
	public Integer getSemester() {
		return semester;
	}
	public void setSemester(Integer semester) {
		this.semester = semester;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getAddStr() {
		return addStr;
	}
	public void setAddStr(String addStr) {
		this.addStr = addStr;
	}
	
	

}
